aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xcommon/scripts/agl-screenshot-test.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/common/scripts/agl-screenshot-test.sh b/common/scripts/agl-screenshot-test.sh
index 769a98a..cb28c05 100755
--- a/common/scripts/agl-screenshot-test.sh
+++ b/common/scripts/agl-screenshot-test.sh
@@ -9,13 +9,18 @@ SCRIPTDIR=`dirname $(readlink -f $0)`
XDG_RUNTIME_DIR=/run/user/1001
AGLDRIVER=agl-driver
-# go to output directory
+if [ -z $1 ] ; then
+ echo "No reference image passed"
+ exit 125
+fi
+REF_IMAGE=`readlink -f $1`
+
+# go to output directory
cd /home/$AGLDRIVER
-REF_IMAGE="$1"
if [ -z "${REF_IMAGE}" ]; then
echo "No reference image passed"